one-mobile-applications-post-one

Source

  • Repository: jef-systems/jef-one-backend

  • Source Run ID: 25256541517

  • Source SHA: 944e655286e0c87c6e611453ffc46df43159a83d

  • Module: one

  • Documentation Scope: async

  • Lambda: jef-one-post-13

Endpoint

  • API Name: jef-one

  • Action Name: post

  • Method: POST

  • Scope Label: Async

  • Resource Path: /one-mobile-applications-post-one

  • Complete Endpoint: https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-mobile-applications-post-one

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-post-13

  • curl payload mode: json_body

API Gateway Description

Function: jef-one-post-13
Module: jef-one
Action: post
Method: POST
Invocation Mode: ASYNC
Resource Path: /one-mobile-applications-post-one

API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.

Table:
- table: jef-one-mobile-applications

Payload Example:
- pk: 001
- app_number: 001
- app_name: JEF One Mobile
- slug: jef-one-mobile
- package_name: com.jefsystems.jefone
- scheme: jefone
- platform: android
- is_active: True
- allowed_module_numbers: 01,02,05,06,07
- created_at: 2026-04-29T00:00:00Z
- updated_at: 2026-04-29T00:00:00Z

Payload Schema:
- pk: string-{app_number}
- app_number: string
- app_name: string
- slug: string
- package_name: string
- scheme: string
- platform: string
- is_active: boolean
- allowed_module_numbers: string
- created_at: string
- updated_at: string

Response Schema:
- is_accepted: boolean
- message: string

Request Payload

{
  "pk": "001",
  "app_number": "001",
  "app_name": "JEF One Mobile",
  "slug": "jef-one-mobile",
  "package_name": "com.jefsystems.jefone",
  "scheme": "jefone",
  "platform": "android",
  "is_active": "True",
  "allowed_module_numbers": "01,02,05,06,07",
  "created_at": "2026-04-29T00:00:00Z",
  "updated_at": "2026-04-29T00:00:00Z"
}

Response

{
  "is_accepted": "boolean",
  "message": "string"
}

CMD curl

curl -X POST "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-mobile-applications-post-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"001\", \"app_number\": \"001\", \"app_name\": \"JEF One Mobile\", \"slug\": \"jef-one-mobile\", \"package_name\": \"com.jefsystems.jefone\", \"scheme\": \"jefone\", \"platform\": \"android\", \"is_active\": true, \"allowed_module_numbers\": \"01,02,05,06,07\", \"created_at\": \"2026-04-29T00:00:00Z\", \"updated_at\": \"2026-04-29T00:00:00Z\"}"

PowerShell curl

curl.exe -X POST "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-mobile-applications-post-one" -H "Content-Type: application/json" --data-raw '{"pk": "001", "app_number": "001", "app_name": "JEF One Mobile", "slug": "jef-one-mobile", "package_name": "com.jefsystems.jefone", "scheme": "jefone", "platform": "android", "is_active": true, "allowed_module_numbers": "01,02,05,06,07", "created_at": "2026-04-29T00:00:00Z", "updated_at": "2026-04-29T00:00:00Z"}'